Class InvalidRequestParameterException
java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.codelibs.fess.api.v2.handlers.InvalidRequestParameterException
- All Implemented Interfaces:
Serializable
- Direct Known Subclasses:
V2JsonRequestParams.InvalidPageSizeException
Thrown when a v2 API request parameter violates a length, item-count, or
format constraint. Handlers map this to
V2ErrorCode.INVALID_REQUEST.- See Also:
-
Constructor Summary
ConstructorsConstructorDescriptionInvalidRequestParameterException(String message) Constructs the exception with a message describing the violated constraint. -
Method Summary
Methods inherited from class java.lang.Throwable
addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
-
Constructor Details
-
InvalidRequestParameterException
Constructs the exception with a message describing the violated constraint.- Parameters:
message- the detail message describing the invalid request parameter
-